Request
curl https://sandbox.api.lendeasy.ai/v1/loanproducts/$PRODUCT_ID \
-H "Authorization: Bearer $TOKEN"
await fetch(`https://sandbox.api.lendeasy.ai/v1/loanproducts/${productId}`, {
method: "GET",
headers: { Authorization: `Bearer ${token}` },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/loanproducts/{product_id}",
headers={"Authorization": f"Bearer {token}"},
)
{
"id": 3,
"name": "Harbor 18-month personal loan",
"shortName": "HBR18",
"currency": {
"code": "USD"
},
"numberOfRepayments": 18,
"interestRatePerPeriod": 13.25,
"loanScheduleType": {
"code": "PROGRESSIVE"
},
"lmsConfig": {
"productClass": "COVERED_CONSUMER",
"aprEnabled": true,
"aprRounding": "NEAREST_0_01_PERCENT_HALF_UP",
"aprTolerancePolicy": "REGULAR",
"statementEnabled": true,
"statementLeadDays": 10
},
"configurationStatus": "CONFIGURED"
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}